# H245_EncryptionAuthenticationAndIntegrity Class Reference

`#include <h245.h>`

Inheritance diagram for H245_EncryptionAuthenticationAndIntegrity:

List of all members.

## Public Types

enum | OptionalFields { e_encryptionCapability, e_authenticationCapability, e_integrityCapability, e_genericH235SecurityCapability }

## Public Member Functions

| H245_EncryptionAuthenticationAndIntegrity (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_EncryptionCapability | m_encryptionCapability
H245_AuthenticationCapability | m_authenticationCapability
H245_IntegrityCapability | m_integrityCapability
H245_GenericCapability | m_genericH235SecurityCapability

## Member Enumeration Documentation

enum H245_EncryptionAuthenticationAndIntegrity::OptionalFields

Enumerator:

  e_encryptionCapability |
  e_authenticationCapability |
  e_integrityCapability |
  e_genericH235SecurityCapability |

## Constructor & Destructor Documentation

H245_EncryptionAuthenticationAndIntegrity::H245_EncryptionAuthenticationAndIntegrity | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_EncryptionAuthenticationAndIntegrity::GetDataLength | ( |  | ) | const

PBoolean H245_EncryptionAuthenticationAndIntegrity::Decode | ( | PASN_Stream & | strm | ) |

void H245_EncryptionAuthenticationAndIntegrity::Encode | ( | PASN_Stream & | strm | ) | const

void H245_EncryptionAuthenticationAndIntegrity::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_EncryptionAuthenticationAndIntegrity::Compare | ( | const PObject & | obj | ) | const

PObject* H245_EncryptionAuthenticationAndIntegrity::Clone | ( |  | ) | const

## Member Data Documentation

H245_EncryptionCapability H245_EncryptionAuthenticationAndIntegrity::m_encryptionCapability

H245_AuthenticationCapability H245_EncryptionAuthenticationAndIntegrity::m_authenticationCapability

H245_IntegrityCapability H245_EncryptionAuthenticationAndIntegrity::m_integrityCapability

H245_GenericCapability H245_EncryptionAuthenticationAndIntegrity::m_genericH235SecurityCapability

The documentation for this class was generated from the following file:

- h245.h